%define api 0.9.1
%define major 3
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	A Gtk+-Widget for Fast Data Display
Name:		gtkdatabox
Version:	0.9.1.3
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://sourceforge.net/projects/gtkdatabox/
Source0:	http://www.eudoxos.net/gtk/gtkdatabox/download/%name-%version.tar.gz
# The following two patches have been taken from Fedora
Patch2:         gtkdatabox-0.9.1.1-gtk-2.22.patch
Patch3:         gtkdatabox-0.9.1.1-gdk-deprecated.patch
Patch4:		gtkdatabox-0.9.1.3-automake-1.13.patch
BuildRequires:	gtk+2-devel
BuildRequires:	gtk-doc

%description
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy. One or more data sets of
thousands of data points (X and Y coordinate) may be displayed and
updated in split seconds. The widget is therfore used in many scientific
and private projects that need to show quickly changing data "live".

GtkDatabox offers the ability to zoom into and out of the data and to
navigate through your data by scrolling. In addition to rulers and
a simple coordinate cross, GtkDatabox now also allows you to add one
(or even more) configurable grids like on an oscilloscope.

%package -n %{libname}
Summary:	A Gtk+-Widget for Fast Data Display
Group:		System/Libraries

%description -n	%{libname}
GtkDatabox is a widget for the Gtk+-library designed to display large
amounts of numerical data fast and easy. 

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains all necessary files to compile or develop
programs/libraries that use %{name}.

%prep
%setup -q
%patch2 -p1
%patch3 -p1
%patch4 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --disable-static LIBS="-lm"
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%name


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.1.3-3.mga3
+ Revision: 352876
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 cjw <cjw> 0.9.1.3-2.mga3
+ Revision: 338892
- patch4: fix build with automake 1.13

* Sun Aug 26 2012 remmy <remmy> 0.9.1.3-1.mga3
+ Revision: 284063
- Updated to new upstream version, and apply patches from Fedora to get this
  package to compile.

  + supp <supp>
    - imported package gtkdatabox

